> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# addUsersToSupplementalPayPeriod

> The `addUsersToSupplementalPayPeriod` API is used to add employees to a supplemental pay period for bonuses, commissions, or adjustments.

### When to use:
- When issuing bonuses, commissions, or one-time payments
- When processing termination payouts outside regular payroll

### Note:
- To create a supplemental pay period use the `addSupplementalPayPeriod` API



## OpenAPI

````yaml post /payroll/addUsersToSupplementalPayPeriod
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /payroll/addUsersToSupplementalPayPeriod:
    post:
      tags: []
      summary: addUsersToSupplementalPayPeriod
      description: >-
        The `addUsersToSupplementalPayPeriod` API is used to add employees to a
        supplemental pay period for bonuses, commissions, or adjustments.


        ### When to use:

        - When issuing bonuses, commissions, or one-time payments

        - When processing termination payouts outside regular payroll


        ### Note:

        - To create a supplemental pay period use the `addSupplementalPayPeriod`
        API
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                companyId:
                  type: string
                payPeriodId:
                  type: string
                payrollLineItems:
                  type: array
                  items:
                    type: object
                    properties:
                      userId:
                        type: string
                      amount:
                        type: integer
                      paymentMethod:
                        type: string
                    required:
                      - userId
                      - amount
                      - paymentMethod
              required:
                - method
                - companyId
                - payPeriodId
                - payrollLineItems
            example:
              method: addUsersToSupplementalPayPeriod
              companyId: C8D57032-BF6F-4510-AA41-08A358365531
              payPeriodId: 4083B766-8F3A-4A23-ABB7-FB67FA1F97D3
              payrollLineItems:
                - userId: 7DDB8A83-29D5-4454-9467-53CC80307139
                  amount: 1000
                  paymentMethod: Check
                - userId: 123DA511-5970-4C2F-AF7E-5C0FB11D23A3
                  amount: 1500
                  paymentMethod: Direct Deposit
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  payrollLineItems:
                    type: array
                    items:
                      type: object
                      properties:
                        userId:
                          type: string
                        status:
                          type: string
                        message:
                          type: string
                      required:
                        - userId
                        - status
                        - message
                required:
                  - payrollLineItems
              examples:
                '1':
                  summary: Success
                  value:
                    payrollLineItems:
                      - userId: 7DDB8A83-29D5-4454-9467-53CC80307139
                        status: Ready
                        message: >-
                          The PayrollLineItem for Const Jonas has been saved
                          successfully.
                      - userId: 123DA511-5970-4C2F-AF7E-5C0FB11D23A3
                        status: Ready
                        message: >-
                          The PayrollLineItem for Celina Gos has been saved
                          successfully.
                '2':
                  summary: Example 1
                  value:
                    error:
                      code: 400
                      message: Invalid userId
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                required:
                  - error
              example:
                error:
                  code: 400
                  message: invalid UserId
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````